<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'OverviewCards',
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
  },
});
</script>

<template>
  <section :id="data?.id" class="overview-cards">
    <SlpRow>
      <SlpTypography variant="heading2-bold" tag="h2" class="slp-mb-32">{{
        data.header
      }}</SlpTypography>
      <SlpColumn
        v-for="(card, index) in data.cards"
        :key="index"
        :cols="6"
        class="overview-cards__column"
      >
        <div class="overview-cards__card">
          <SlpIcon
            v-if="card.icon"
            :name="card.icon.name"
            variant="marketing"
            :alt="card.icon.name"
            size="lg"
            :hex-color="card.icon.hex_color"
            :slp-color="card.icon.slp_color"
          />
          <SlpTypography
            variant="heading4-bold"
            tag="h3"
            class="overview-cards__card-title"
            >{{ card.title }}</SlpTypography
          >
          <SlpTypography
            variant="base"
            tag="p"
            class="overview-cards__card-text"
            >{{ card.description }}</SlpTypography
          >
        </div>
      </SlpColumn>
    </SlpRow>
  </section>
</template>

<style scoped lang="scss">
.overview-cards {
  position: relative;

  @media (max-width: $breakpoint-md) {
    margin: $spacing-24 0;
    &__column:last-of-type {
      margin-top: $spacing-24;
    }
  }

  @media (min-width: $breakpoint-md) {
    margin: $spacing-64 auto;
  }

  @media (min-width: $breakpoint-md) {
    &__column:first-of-type {
      padding-right: $spacing-16;
    }
    &__column:last-of-type {
      padding-left: $spacing-16;
    }
  }

  &__card {
    border-radius: 16px;
    color: $color-text-300;
    display: flex;
    flex-direction: column;
    background: $color-surface-800;
    padding: $spacing-24 $spacing-32;
    transition: all 0.3s ease-in;
    width: 100%;
    max-width: 100%;
    height: 100%;
  }

  &__card-title {
    margin-bottom: $spacing-16;
  }
}
</style>
